Subject: RE: I: VC++5.0 stdarg.h works in cygwin32
From: [email-masked] (Michael Czapski)

23 Aug 1998 03:33:17 -0700
Message-ID: <[email-masked]>
Reply-To: "[email-masked]" <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
To: "'Mumit Khan'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>

On Saturday, August 22, 1998 3:14 AM, Mumit Khan [SMTP:[email-masked]] 
wrote:
> On Wed, 19 Aug 1998, Michael Czapski wrote:
>
> > Hello,
> >
> > For a multi-platform project I had a need to use variable length argument
> > lists
> > in C.  In VC++ (just the C part :-)) the stdarg.h was included and the code
> >
> > works using va_start, va_end, etc..  The same code, compiled with gcc in 
the
> >
> > cygwin32 environment breaks as there is no stdarg.h provided either in the
> > B19.x or in EGCS and varargs.h, which is provided in both, is non-ANSI. 
 For
> >
> > these who are interested the VC++5.0 stdarg.h, copied with no changes, will
> >
> > work just fine in the cygwin32 environment and will provide ANSI variable
> > argument list support.
>
> Every version of gcc for mingw32/cygwin32/what-not has always come with
> stdarg.h and varargs.h as part of gcc. Did you do a file search and come
> up empty? If so, there is something wrong with the distribution.
>
> Regards,
> Mumit
Hello Mumit,

Thanks for taking time to reply.  It seems I did not do a thorough enough 
search :-(.  Indeed, the stdarg.h is there.  Now I need to determine why the 
'#include <stdarg.h>' did not work for me :-/.

------------------
Cheers ...
Michael Czapski

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".